/// Provides interoperability with [Node.js](https://nodejs.org) APIs.
@JS()
library nodejs_interop;

import 'dart:js';
import 'package:js/js.dart';

part 'src/assert/assert_module.dart';
part 'src/assert/assertion_error.dart';
part 'src/assert/assertion_error_options.dart';
part 'src/events/event_emitter.dart';
part 'src/globals.dart';
part 'src/globals/js_errors.dart';
part 'src/path/path.dart';
part 'src/path/path_module.dart';

/// Requires the module with the specified [identifier].
dynamic require(String identifier) {
  var module = '\$$identifier';
  if (context[module] == null) context[module] = (context['require'] as JsFunction).apply([identifier]);
  return _require(identifier);
}
