import 'package:nodejs_interop/nodejs_interop.dart';
import 'package:test/test.dart';

/// Tests the features of the `JsAssertionError` class.
void main() => group('JsAssertionError', () {
  require('assert');

  test('should be an instance of the Exception class', () {
    var error = new JsAssertionError(new AssertionErrorOptions(message: 'AssertionError'));
    expect(error, const isInstanceOf<Exception>());
    expect(error.message, equals('AssertionError'));
  });

  test('should be throwable like any other Dart value', () {
    var error = new JsAssertionError(new AssertionErrorOptions(message: 'AssertionError'));
    expect(error, const isInstanceOf<Exception>());
    expect(error.message, equals('AssertionError'));
  });
});
